%global pypi_name et_xmlfile
%global sum An implementation of lxml.xmlfile for the standard library
%global desc et_xmlfile is a low memory library for creating large XML files.\
\
It is based upon the xmlfile module from lxml with the aim of allowing code to\
be developed that will work with both libraries. It was developed initially for\
the openpyxl project but is now a standalone module.

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://bitbucket.org/openpyxl/et_xmlfile/raw/8c7ad6904ebe0ff98c204a3e77d7e78528b10ffe/LICENCE.rst

BuildArch:      noarch

%description
%{desc}

%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
BuildRequires:  pytest
BuildRequires:  python-lxml
Requires:       python2-jdcal
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{sum}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-lxml
Requires:       python3-jdcal
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf *.egg-info
cp -a %{SOURCE1} .


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
cd et_xmlfile
py.test-%{python2_version}
py.test-%{python3_version}


%files -n python2-%{pypi_name}
%license LICENCE.rst
%doc README.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%license LICENCE.rst
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Sun Nov 22 2015 Julien Enselme <jujens@jujens.eu> - 1.0.1-3
- Use pytest to launch tests
- Add lxml to launch tests

* Sun Nov 22 2015 Julien Enselme <jujens@jujens.eu> - 1.0.1-2
- Add tests

* Mon Nov 9 2015 Julien Enselme <jujens@jujens.eu> - 1.0.1-1
- Inital package
